#ifndef ACULCALIB_ACULCALIB_H_
#define ACULCALIB_ACULCALIB_H_

//#include "TObject.h"
//#include "TROOT.h"
#include <iostream>
#include <fstream>

#include "TArrayD.h"
#include "TString.h"
#include "TCanvas.h"

#include "./AculCalPars.h"

using std::cout;
using std::endl;
using std::cerr;

class AculCalib {

protected:
//essential
	vector<Double_t> fA;
	vector<Double_t> fB;

	TString fParFileName;

	AculCalPars *fPars;

public:
//essential
	AculCalib();
	AculCalib(const char* parfile);
	virtual ~AculCalib();
	ClassDef(AculCalib,1);

	virtual void Init();

	void SetParFile(const char* parfile);

	void PrintParameters(const char* option = "");
	void PrintCalibParameters();

	Double_t GetA(Int_t i);
	Double_t GetB(Int_t i);

protected:
//essential
	void CanDivider(TCanvas *c, Int_t noPads, Int_t columns = 0, Int_t rows = 0);

};

#endif /* ACULCALIB_ACULCALIB_H_ */
